import { VitePWA } from 'vite-plugin-pwa'
import { fileURLToPath, URL } from "url";

import { defineConfig } from "vite";
import vue from "@vitejs/plugin-vue";

// https://vitejs.dev/config/
export default defineConfig({
  build: {
    assetsDir: "resources",
  },
  plugins: [
    vue(), 
    VitePWA({ 
      registerType: 'autoUpdate',
      useCredentials: true,
      manifestFilename: "assets/manifest.json",
      manifest: {
        name: 'Homer dashboard',
        short_name: 'Homer',
        description: 'Home Server Dashboard',
        theme_color: '#3367D6',
        icons: [
          {
            src: 'pwa-192x192.png',
            sizes: '192x192',
            type: 'image/png'
          },
          {
            src: 'pwa-512x512.png',
            sizes: '512x512',
            type: 'image/png'
          }
        ],
      },
    })
  ],
  resolve: {
    alias: {
      "@": fileURLToPath(new URL("./src", import.meta.url)),
    },
  },
});

